<template>
  <div>
    <page-title
      :heading="heading" 
      :icon="icon"
      :add="true"
    ></page-title>
    <breadcrumb  
      :menu_item_list="menu_item_list"
    ></breadcrumb>
    <user-form
      :mode="'profile'"
    ></user-form>
  </div>
</template>
<script>
  import PageTitle from "../../components/titles/PageTitle";
  import Breadcrumb from "../../layouts/parts/Breadcrumb";
  import UserForm from "./Form";

  export default {
    metaInfo() {
        let vm = this;
        return {
            title: Constants.site.title,
            titleTemplate: '%s | ' + vm.$router.currentRoute.name
        }
    },
    components: {
      PageTitle,
      Breadcrumb,
      UserForm
    },
    data() {
      let vm = this;
      return {
        heading: 'Edit Profile',
        icon: 'fa fa-edit',
        menu_item_list: [
          {
            title: 'Dashboard',
            active: false,
            path: '/'
          },
          {
            title: 'Edit Profile',
            active: true,
            path: '/user/edit/' + vm.$route.params.hash_id
          },
        ]
      }
    }
  }
</script>
